### Function Macro

# Goa CHECK_VERSION

since: 3.8

#### Declaration [src]

    #define GOA_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description [src]

Checks the version of the GOA library that is being compiled against.

    if (!GOA_CHECK_VERSION (3, 8, 0))
      g_error ("GOA version 3.8.0 or above is needed");

See `goa_check_version()` for a runtime check.

Available since: 3.8

This function is not directly available to language bindings.

#### Parameters

`major`

  Type: `-`

  The major version to check for.

`minor`

  Type: `-`

  The minor version to check for.

`micro`

  Type: `-`

  The micro version to check for.